import request from '@/utils/request'
	
/**
 * @Descripttion: 配送模板Api接口
 * @version: (1.0)
 * @Author: (黎文豪)
 * @Date: (2023-06-16)
 * @LastEditors: (黎文豪)
 * @LastEditTime: (2023-06-16)
*/

// 配送模板分页查询列表
export function deliveryList(query) {
  return request({
    url: '/business/Delivery/getDeliveryList',
    method: 'get',
    params: query
  })
}


// 获取配送模板的配送区域和运费列表
export function getDeliveryRuleList(query) {
  return request({
    url: '/business/Delivery/getDeliveryRuleList',
    method: 'get',
    params: query
  })
}


// 配送模板新增或修改
export function addOrUpdateDelivery(data) {
  return request({
    url: '/business/Delivery/addOrUpdateDelivery',
    method: 'post',
    data: data,
  })
}

// 配送模板删除
export function delDelivery(ids) {
  return request({
    url: '/business/Delivery/'+ ids,
    method: 'delete'
  })
}

// 配送模板导出
export function exportDelivery(query) {
  return request({
    url: 'business/Delivery/exportDelivery',
    method: 'get',
    params: query
  })
}

